<!DOCTYPE html>
<html>
  <head>
      <meta charset="utf-8">
      <meta name="generator" content="GitLab Pages">
      <title>KATRIN remote analysis shift</title>
      <link rel="shortcut icon" href="https://ikp-neu-katrin.ikp.kit.edu/routine/pics/KATRINlogo.ico" />
      <link rel="stylesheet" href="style.css">

      <script>
      function WelcomeMessage() {
          document.getElementById("result").innerHTML = "Welcome" + localStorage.getItem('author');
      }
      </script>

  </head>

  <body>
    <iframe src="navbar.html" onload="this.before((this.contentDocument.body||this.contentDocument).children[0]);this.remove()"></iframe>
    <br>
    <center>
      <h1>Checklist for remote analysis shifts</h1>
      <p style="color:#eb4670"> If you have questions, problems, or findings regarding the remote analysis shift, write into the <a href="https://iap-katrin-chat.iap.kit.edu/channel/remote.monitoring" target="_blank">#remote.monitoring</a> group on RocketChat</p>
    </center>

    <hr>

    <h2 style="text-align:right">Step 2/3</h2>

    <center>
      <body onload="document.getElementById('result').innerHTML = 'Welcome ' + localStorage.getItem('author') + '<br><br>The last check has been performed based on:<br><br>' + localStorage.getItem('lastChecked')">
        <h3 id="result"></h3>
      </body>

      <?php
        $datetime = new DateTime($dateTimeString);
        $Year  = $datetime->format('Y');
        $Day   = $datetime->format('d')-1;
        $Month = $datetime->format('m');

        $url = "http://katrin:tritium.Otten@2022@kdb.kaas.kit.edu/kdb-api.fcgi/json?run&system=fpd&from=".$Year."-".$Month."-".$Day;
        //call api
        $jsonData = file_get_contents($url);
        $json = array_values(json_decode($jsonData, true));
        print("<h3>Last run that has been added to <a href='https://kdb.kaas.kit.edu' target='_blank'>kdb</a> is run# ".end($json[1]['Run'])['Number']."</h3>");
      ?>
      <p>Please check the following parameters and values. <br>If any runs are effected, note down the run numbers in the comments and contact the corresponding system expert. </p>
      <br>

      <hr>
      <br>
      <h3>General information:</h3>

      <table width="50%" id="table" align="center">

        <tr>
          <td style="text-align:center"><b>First run</b></td>
          <td style="text-align:center"><input type="text" min="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');" placeholder ="Run number" id="First_run"></td>
        </tr>

        <tr>
          <td style="text-align:center"><b>Last run</b></td>
          <td style="text-align:center"><input type="text" min="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');" placeholder ="Run number" id="Last_run"></td>
        </tr>

      </table>
      <p>Note: You can find the start and end time stamps of all runs in the <a href='https://kdb.kaas.kit.edu' target='_blank'>kdb</a> table.</p>
      <br>

      <hr>

      <br>
      <h3>Checks on <a href="https://webtrium.mpp.mpg.de" target="_blank">webtrium</a>:</h3>
      <p>Note: Make sure webtrium has been updated recently. </p>
      <table width="100%" id="table" align="center">

        <tr>
          <th>Parameter</th>
          <th>What to look for</th>
          <th>good (right/green) <br> or bad (left/red)</th>
          <th>Comment if bad</th>
        </tr>

        <tr>
          <td><b>Endpoint <br>Signal <br>Background</b></td>
          <td>Are there any jumps endpoint, signal, or background?</td>
          <td><label class="switch"><input type="checkbox" id="webtrium_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Parameter" id="webtrium"></td>
        </tr>
      </table>

      <hr>

      <br>
      <h3>Checks on Adei:</h3>
      <p>Note: the timestamp on adei is giving in CET/CEST.</p>
      <table width="100%" id="table" align="center">

        <tr>
          <th>Subsystem</th>
          <th>What to look for</th>
          <th>good (right/green) <br> or bad (left/red)</th>
          <th>Comment if bad</th>
        </tr>

        <tr>
          <td><b>High Voltage <br>(K35/K65)</b></td>
          <td>Are there any unexpected spikes in the
          <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=hv__katrin-hv_rep__7__5" target="_blank">K35/K65 readback.</a>
          <br>(more details can be found <a href="https://ikp-katrin-wiki.ikp.kit.edu/katrin/images/0/05/Check-Controlroom.pdf" target="_blank">here</a>)</td>
          <td><label class="switch"><input type="checkbox" id="HV_K65_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="HV_K65"></td>
        </tr>

        <tr>
          <td><b>High Voltage <br>(absolute tank potential)</b></td>
          <td>Are there any unexpected spikes in the
          <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=hv__katrin-hv_rep__0__39&infomod=legend&history_id=1627290450297" target="_blank">tank potential readback.</a>
          <br>(more details can be found <a href="https://ikp-katrin-wiki.ikp.kit.edu/katrin/images/0/05/Check-Controlroom.pdf" target="_blank">here</a>)</td>
          <td><label class="switch"><input type="checkbox" id="HV_TankPotential_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="HV_TankPotential"></td>
        </tr>

        <tr>
          <td><b>BIXS</b></td>
          <td>Is the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=bixs__131_BIXS__BIXS_10367__5&infomod=legend&history_id=1631292675774" target="_blank">BIXS signal</a>
            stable? If not, something is wrong.
            <br> Is there a long term trend visible?
          <td><label class="switch"><input type="checkbox" id="BIXS_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="BIXS"></td>
        </tr>

        <tr>
          <td><b>Tritium throughput</b></td>
          <td>Is the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=86400&module=graph&virtual=srctree&srctree=cstloops__ControlSystem_Loop_ISS__610InnerLoop_CircIn__18&infomod=legend&history_id=1631539399883" target="_blank">tritium throughput</a>
            stable to within < 1 sccm? If not, something is wrong.
            <br> Is there a long term trend visible?
          <td><label class="switch"><input type="checkbox" id="LARA_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="LARA"></td>
        </tr>

        <tr>
          <td><b>FBM</b></td>
          <td>Are there outliers in the <a href="http://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=fbm0&db_name=FBT&db_group=FBM_pixel_rates&control_group=FBM_pixel_rates&db_mask=0&experiment=-&window=86400&module=graph&virtual=srctree&srctree=&infomod=legend&history_id=1631539548331" target="_blank">FBM rate</a>.
            Absolute values depend on pixel and KNMx period, keep in mind long term drift.
          <td><label class="switch"><input type="checkbox" id="FBM_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="FBM"></td>
        </tr>

        <tr>
          <td><b>RW current and voltage</b></td>
          <td>Were the IU scans performed roughly once per day (visible in the <a href="https://adei-katrin.kaas.kit.edu/adei/#module=graph&db_server=virtual&db_name=srctree&db_group=-3&control_group=-3&db_mask=all&experiment=-&window=604800&module=graph&virtual=srctree&srctree=egunrs__EgunRS__0__112,egunrs__EgunRS__0__113&infomod=legend&history_id=1634029641842" target="_blank">RW current and voltage (last week)</a>)?<br>
          <td><label class="switch"><input type="checkbox" id="RW_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="RW"></td>
        </tr>

      </table>
      <br>

      <hr>
      <br>
      <h3>Checks on <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM8/"  target="_blank">brew</a>:</h3>
      <p>A guide on how to use brew can be found <a href="http://katana.npl.washington.edu/~sanshiro/brew/KNM8/doc/BrewManual.html" target="blank">here</a></p>
      <p>If one of the columns doesn't exist in the latest brew table, mark the corresponding question as ok.</p>
      <table width="100%" id="table" align="center">

        <tr>
          <th>Parameter</th>
          <th>What to look for</th>
          <th>good (right/green) <br> or bad (left/red)</th>
          <th>Comment if bad</th>
        </tr>

        <tr>
          <td><b>Run Length</b></td>
          <td>Do any runs have shorter run length? Shorter length indicates missing subruns.</td>
          <td><label class="switch"><input type="checkbox"  id="Run_Length_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Run_Length"></td>
        </tr>

        <tr>
          <td><b>Data Size</b></td>
          <td>Do any runs have a different data size? Smaller size indicates missing subruns.</td>
          <td><label class="switch"><input type="checkbox" id="Data_Size_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Data_Size"></td>
        </tr>

        <tr>
          <td><b>FPD Energy Shift</b></td>
          <td>Are there peaks in the FPD energy shift? <br>Peaks in BREW plot of this value over time indicate rapid detector gain drifts, <br>likely caused by large temperature changes of the building.</td>
          <td><label class="switch"><input type="checkbox" id="FPD_Energy_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="FPD_Energy"></td>
        </tr>

        <tr>
          <td><b>Grid-Sync Gap</b></td>
          <td>Are there non-zero values in the grid-sync gap? <br> Non-zero values indicate dead-time in DAQ.</td>
          <td><label class="switch"><input type="checkbox"  id="Grid_sync_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Grid_sync"></td>
        </tr>

        <tr>
          <td><b>U-MTD Deviation</b></td>
          <td>Is the maximum deviation of U-MTD < 50 mV?</td>
          <td><label class="switch"><input type="checkbox"  id="UMTD_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="UMTD"></td>
        </tr>

        <tr>
          <td><b>K35 Missing Points</b></td>
          <td>Are there missing K35 values (> 5)? <br><br>
            If there are runs with missing points, check the run individually (short subruns should have at least 10 points): <br>
            <center>
            KNM<input type="text" min="1" max="20" oninput="this.value=this.value.replace(/[^0-9]/g,'');" placeholder ="x" id="Campaign" size="2" style="text-align:center;">: <input type="text" min="1" oninput="this.value=this.value.replace(/[^0-9]/g,'');" placeholder ="Run number" id="CheckRun" size="10" style="text-align:center;"> <button type="submit" onclick="checkRun()" id="check">→ Check run</button>
            </center>
          <td><label class="switch"><input type="checkbox"  id="MissingK35_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="MissingK35"></td>
        </tr>

        <tr>
          <td><b>Rate 300eV</b></td>
          <td>Is rate 300 eV comparable to other runs? (necessary for column density calculation).</td>
          <td><label class="switch"><input type="checkbox"  id="Rate_300_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Rate_300"></td>
        </tr>

        <tr>
          <td><b>Rate 90eV</b></td>
          <td>Is rate 90 eV comparable to other runs? (necessary for column density calculation).</td>
          <td><label class="switch"><input type="checkbox" id="Rate_90_checkbox"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="Rate_90"></td>
        </tr>

        <tr>
          <td><b>Tritium Purity</b></td>
          <td>Is tritium purity estimated and around 98.6%? (necessary for column density calculation).</td>
          <td><label class="switch"><input type="checkbox" id="TritiumPurity_checkbox" value="good"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="TritiumPurity"></td>
        </tr>

        <tr>
          <td><b>LARA Consistency Check</b></td>
          <td>Are all entries in the LARA consistency check column ok?</td>
          <td><label class="switch"><input type="checkbox" id="LARACrosscheck_checkbox" value="good"><span class="slider round"></span></label></td>
          <td style="text-align:center"><input type="text" placeholder ="Comment" id="LARACrosscheck"></td>
        </tr>

        <tr>
          <td><b>Analysis monitoring</b></td>
          <td>Manually mark the ckecked runs as good/bad in the "Analysis monitoring" column in the brew table.</td>
          <td><label class="switch"><input type="checkbox" id="generic" value="good"><span class="slider round"></span></label></td>
          <td> </td>
        </tr>

      </table>
      <br>
      <hr>
      <br>
      <h3>Additional comments</h3>
      <textarea name="multiliner" placeholder ="Add any additional comments or observations here ..." type="text" id="additional_comments" style="width:75%;height:100px;"></textarea>
      <br>
      <br>
      <hr>
      <br>
      <button type="submit" onclick="goBack()" id="Back">Go back</button>
      <button type="submit" onclick="submit()" id="Submit">Confirm & submit</button>
      <br><br><br><br>

      <script type="text/javascript">

          function goBack() {
              window.location.href="index.php";
          }

          function checkRun() {
              Campaign = "KNM" + document.getElementById('Campaign').value;
              runToCheck = document.getElementById('CheckRun').value;
              checkUrl = "http://katana.npl.washington.edu/~sanshiro/kaffee/" + Campaign + "/kaffee.cgi/attachment/fpd00" + runToCheck + "/RS/RsHv-SubRunVoltage-fpd00" + runToCheck + ".png"; //"http://katana.npl.washington.edu/~sanshiro/kaffee/KNM6/kaffee.cgi/attachment/fpd00"+document.getElementById('CheckRun').value;
              window.open(checkUrl, '_blank').focus();
          }

          function submit() {

              var VariableName = ["webtrium", "HV (K65)", "HV tank potential", "BIXS", "LARA", "FBM", "RW", "Run length", "Data size", "FPD energy", "Grid sync", "U MTD discrepancy", "Missing K35", "Rate 300", "Rate 90", "Tritium purity", "LARA consistency check" ];
              var sqlNAME      = ["webtrium", "HV_K65", "HV_tank_potential", "BIXS", "LARA", "FBM", "RW", "Run_length", "Data_size", "FPD_energy", "Grid_sync", "U_MTD_discrepancy", "Missing_K35", "Rate_300", "Rate_90", "Tritium_purity", "LARA_crosscheck"];
              var Checkboxes = ["webtrium_checkbox", "HV_K65_checkbox", "HV_TankPotential_checkbox", "BIXS_checkbox", "LARA_checkbox", "FBM_checkbox", "RW_checkbox", "Run_Length_checkbox", "Data_Size_checkbox", "FPD_Energy_checkbox", "Grid_sync_checkbox", "UMTD_checkbox", "MissingK35_checkbox", "Rate_300_checkbox", "Rate_90_checkbox", "TritiumPurity_checkbox", "LARACrosscheck_checkbox"];
              var Comments = ["webtrium", "HV_K65", "HV_TankPotential", "BIXS", "LARA", "FBM", "RW", "Run_Length", "Data_Size", "FPD_Energy", "Grid_sync", "UMTD", "MissingK35", "Rate_300", "Rate_90", "TritiumPurity", "LARACrosscheck" ];
              var arrayLength = VariableName.length;
              var badFlags = 0;

              var date = new Date();
              var dateTime =  (date.getUTCFullYear()).toString() + '-' + (("0" + (date.getUTCMonth() + 1)).slice(-2)) + '-' + (("0" + date.getUTCDate()).slice(-2)) + "," + (("0" + date.getUTCHours()).slice(-2)) + ':' + (("0" + date.getUTCMinutes()).slice(-2)) + ':' + (("0" + date.getUTCSeconds()).slice(-2));
              var runRange = document.getElementById('First_run').value + ' - ' + document.getElementById('Last_run').value;

              var Summary     = ''
              Summary += 'Author: '+ localStorage.getItem('author')+'<br>';
              Summary += 'Submission time: ' + dateTime + '<br>';
              Summary += 'Measurement type: '+ localStorage.getItem('measurement')+'<br>';
              Summary += 'Run range: ' + runRange + '<br><br>';
              Summary += '<pre>Parameter summary:<br>';

              var forwardingInfo = "";
              forwardingInfo += "?Author="     + localStorage.getItem('author');
              forwardingInfo += "&Submitted="  + dateTime;

              forwardingInfo += "&Mode="       + localStorage.getItem('measurement')
              forwardingInfo += "&Run_Range="  + runRange;

              var temp = '';
              for (let i = 0; i < arrayLength; i++){
                var good = document.getElementById(Checkboxes[i]);
                var comment = document.getElementById(Comments[i])
                if (good.checked == true){
                  forwardingInfo += "&"+sqlNAME[i]+"=good"
                  //temp += '<pre>    ' + VariableName[i] + ': <br>        status = good <br>';
                }
                else{
                  forwardingInfo += "&"+sqlNAME[i]+"=bad"
                  temp += '    ' + VariableName[i] + ': <br>        status = bad <br>        comment = '+ comment.value +'<br>';
                  badFlags += 1;
                }
              }
              Summary += '    ' + badFlags.toString() + ' item(s) have been makred as bad.<br><br>';
              if (badFlags > 0) {
                Summary += temp
              }
              if(additional_comments.value != ""){
                Summary += '<br>Additional comments: <br><br>'+additional_comments.value;
              }
              Summary += '</pre>';
            localStorage.setItem('summary', Summary);
            forwardingInfo += "&Summary="  + Summary;

            window.location.href="submit.php"+forwardingInfo;
          }
      </script>

    </center>
  </body>
</html>
