<!DOCTYPE html>
<html>
  <head>
      <meta charset="utf-8">
      <meta name="generator" content="GitLab Pages">
      <title>KATRIN remote analysis shift</title>
      <link rel="shortcut icon" href="https://ikp-neu-katrin.ikp.kit.edu/routine/pics/KATRINlogo.ico" />
      <link rel="stylesheet" href="style.css">
      <style>
            td {
        padding: 105px;
      }
      </style>
  </head>

  <body>
    <iframe src="navbar.html" onload="this.before((this.contentDocument.body||this.contentDocument).children[0]);this.remove()"></iframe>
    <br>
    <center>
      <h1>Checklist for remote analysis shifts</h1>
      <p style="color:#eb4670"> If you have questions, problems, or findings regarding the remote analysis shift, write into the <a href="https://iap-katrin-chat.iap.kit.edu/channel/remote.monitoring" target="_blank">#remote.monitoring</a> group on RocketChat</p>
    </center>

    <hr>

    <h2 style="text-align:right">Step 3/3</h2>

    <center>
    <br>
    <br>
    <p>
    If you find problems in any of the parameters, please contact one of the corresponding system experts via email or on RocketChat.
    </p>
    <br>
    <br>
    <table width="40%" id="table">
        <tr>
          <th>System</th>
          <th>System experts</th>
        </tr>
        <tr>
          <td>
            High voltage <br>
            LARA <br>
            BIXS <br>
            FBM <br>
            Data processing <br>
            Column density <br>
            RW <br>
            Fit parameters
          </td>
          <td>
            <a href="mailto:rodenbeck@wwu.de">C. Rodenbeck</a>, <a href="mailto:thomas.thuemmler@kit.edu">T. Thümmler</a> <br>
            <a href="mailto:magnus.schloesser@kit.edu">M. Schlösser</a>, <a href="mailto:genrich.zeller@kit.edu">G. Zeller</a> <br>
            <a href="mailto:max.aker@kit.edu">M. Aker</a> <br>
            <a href="mailto:ellinger@uni-wuppertal.de">E. Ellinger</a>, <a href="mailto:debowski@uni-wuppertal.de">K. Debowski</a> <br>
            <a href="mailto:sanshiro@u.washington.edu">S. Enomoto</a> <br>
            <a href="mailto:ckoehler@mpp.mpg.de">C. Köhler</a>, <a href="mailto:fabian.block@kit.edu">F. Block</a> <br>
            <a href="mailto:rudolf.sack@kit.edu">R. Sack</a> <br>
            <a href="mailto:alexey.lokhov@uni-muenster.de">A. Lokhov</a>, <a href="mailto:magnus.schloesser@kit.edu">M. Schlösser</a>
           </td>
        </tr>
    </table>

    <hr>
      <h3>Summary:</h3>
      <br>
      <table id="table" style="max-width:600px;">
        <tr>
        <td style="text-align:left"><body onload="document.getElementById('result').innerHTML = localStorage.getItem('summary')">
          <text id="result"></text>
        </body></td>
        </tr>
      </table>
      <br>
      <hr>
      <br>
      <!-- <button type="submit" onclick="cancel()" id="Cancel">Cancel</button> -->
      <button type="submit" onclick="submit()" id="Submit">Go to start</button>
      <br><br><br><br>

      <script type="text/javascript">

          // function cancel() {
          //     localStorage.clear()
          //     window.location.href="index.php";
          // }

          function submit() {

            <?php
              $file = "recentSQLName.txt";
              $f = fopen($file, 'r');
              $tableName = fgets($f);
              fclose($f);
              $db= new SQLite3("data/mydb.sqlite");

              $Run_Range        = $_GET["Run_Range"];
              $Mode             = $_GET["Mode"];
              $Submitted        = $_GET["Submitted"];
              $Author           = $_GET["Author"];

              $webtrium         = $_GET["webtrium"];
              $HV_K65           = $_GET["HV_K65"];
              $HV_TankPotential = $_GET["HV_tank_potential"];
              $BIXS             = $_GET["BIXS"];
              $LARA             = $_GET["LARA"];
              $LARA_Crosscheck  = $_GET["LARA_crosscheck"];
              $FBM              = $_GET["FBM"];
              $RW               = $_GET["RW"];
              $Run_Length       = $_GET["Run_length"];
              $Data_Size        = $_GET["Data_size"];
              $FPD_Energy       = $_GET["FPD_energy"];
              $Grid_sync        = $_GET["Grid_sync"];
              $Rate_300         = $_GET["Rate_300"];
              $Rate_90          = $_GET["Rate_90"];
              $Tritium_Purity   = $_GET["Tritium_purity"];
              $U_MTD_discrepancy= $_GET["U_MTD_discrepancy"];
              $Missing_K35      = $_GET["Missing_K35"];
              $Summary          = $_GET["Summary"];

              $db->exec("CREATE TABLE IF NOT EXISTS $tableName(id INTEGER PRIMARY KEY NOT NULL, Run_Range Text, Mode Text, Submitted Text, Author Text, webtrium text, HV_K65 Text, HV_tank_potential Text, U_MTD_discrepancy Text, Missing_K35 Text, BIXS Text, LARA Text, LARA_crosscheck Text, FBM Text, RW Text, Run_length Text, Data_size Text, FPD_energy Text, Grid_sync Text, Rate_300 Text, Rate_90 Text, Tritium_purity Text, Summary Text )");


              //#$string_to_insert=$db->escapeString($author);
              $db->exec("INSERT INTO $tableName (Run_Range, Mode, Submitted, Author, webtrium, HV_K65, HV_tank_potential, U_MTD_discrepancy, Missing_K35, BIXS, LARA, LARA_crosscheck, FBM, RW, Run_length, Data_size, FPD_energy, Grid_sync, Rate_300, Rate_90, Tritium_purity, Summary) VALUES ('$Run_Range', '$Mode', '$Submitted', '$Author', '$webtrium', '$HV_K65', '$HV_TankPotential', '$U_MTD_discrepancy', '$Missing_K35', '$BIXS', '$LARA', '$LARA_Crosscheck', '$FBM', '$RW', '$Run_Length', '$Data_Size', '$FPD_Energy', '$Grid_sync', '$Rate_300', '$Rate_90', '$Tritium_Purity', '$Summary')");
            ?>

            localStorage.clear()
            window.location.href="index.php";
          }
      </script>

    </center>
  </body>
</html>
